<html>
  <body>
	<jsp:useBean id="mybean" class="org.gjt.jsp.test.MiniBeanSArrEmpty"/>
<% String texts[] = {"value1","value2"}; %>
<h1>2.13.2 jsp:setProperty</h1>
When assigning values to indexed properties the value must be an array.
Value: <%= mybean.getX(0) %><jsp:setProperty name="mybean" property="x" value="<%= texts %>"/><%= mybean.getX(0) %><%= mybean.getX(1) %>
  </body>
</html>
